Subject: Re: info on shiitake
From: [email-masked] (Marielle Levine)
Date: Fri, 13 May 1994 19:00:50 GMT
Newsgroups: bionet.mycology

In the spring issue of a Canadian magazine called Harrowsmith there
is a list of different catalog people that grow mushrooms and have 
books on medicine and mushrooms...I think it was the January issue 
and I found a place called Mushroompeople in Ohio....a company
that has an internet no. and they sent me their catalog.
-- 
"Do I Dare Disturb the Universe?" -- T.S. Eliot

"Well, it's got huge . . . very sharp . . . it
 can jump a . . . look at the bones." -- Tim the Enchanter